Debian Bug report logs - #551853
RFH: lesstif2 -- OSF/Motif 2.1 implementation released under LGPL

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Gevers <elbrus@debian.org>

Date: Wed, 21 Oct 2009 08:45:10 UTC

Severity: normal

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#551853; Package wnpp. (Wed, 21 Oct 2009 08:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Wed, 21 Oct 2009 08:45:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-devel@lists.debian.org
Subject: RFH: lesstif2 -- OSF/Motif 2.1 implementation released under LGPL
Date: Wed, 21 Oct 2009 10:28:38 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

C (?) Programmers help wanted.

Upstream of lesstif is not active anymore and I have committed myself to
help as much as I can to improve the Debian package (also by committing
patches upstream). The popcon of this library is pretty high, currently
around 15694 installed. However, copy/pasting has been implemented in
the past in a way that worked internally, but apparently without the
proper ICCCM implementation. This has caused a lot of bugs and is
currently the main issue with this library. The problematic code can be
easily identified in the source (lib/Xm-2.1/CutPaste.c) by searching for
the text "FIX ME". Because my knowledge of C is not enough to fix
this myself (I will look at it with a friend thou) I ask for help from
programmers to have a look. See also http://lesstif.sourceforge.net/#help

Paul

The package description is:
 Contains runtime shared libraries for LessTif, the Hungry Programmers'
 version of OSF/Motif 2.1.
 .
 Contains runtime shared libraries for libXm and libMrm.

-- System Information:
Debian Release: 5.0
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'), (500,
'jaunty-proposed'), (500, 'jaunty')
Architecture: i386 (i686)

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#551853; Package wnpp. (Tue, 21 Sep 2010 19:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehul Sanghvi <mehul.sanghvi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Sep 2010 19:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 551853@bugs.debian.org (full text, mbox):

From: Mehul Sanghvi <mehul.sanghvi@gmail.com>
To: 551853@bugs.debian.org
Subject: Re: RFH: lesstif2 -- OSF/Motif 2.1 implementation released under LGPL
Date: Tue, 21 Sep 2010 15:04:09 -0400
Is help still needed for this ?  I am willing to try and help.  Its
been years since I've done C but
as they say, two heads are better then one.


cheers,

       mehul

-- 
Mehul N. Sanghvi
email: mehul.sanghvi@gmail.com




Information stored :
Bug#551853; Package wnpp. (Fri, 15 Mar 2013 21:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 15 Mar 2013 21:09:14 GMT) Full text and rfc822 format available.

Message #15 received at 551853-quiet@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 551853-quiet@bugs.debian.org
Subject: help less needed
Date: Fri, 15 Mar 2013 22:08:55 +0100
[Message part 1 (text/plain, inline)]
control: submitter -1 !

Just for the record. We (Graham and me) are trying [1][2] to get motif
into debian/main and following that we want to retire lesstif2 [3] in
Debian.

Paul

[1] http://bugs.debian.org/695130 (ITA openmotif)
[2] http://bugs.debian.org/691393 (motif LGPL)
[3] https://lists.debian.org/debian-devel/2012/12/msg00369.html

[signature.asc (application/pgp-signature, attachment)]

Changed Bug submitter to 'Paul Gevers <elbrus@debian.org>' from 'Paul Gevers <paul@climbing.nl>' Request was from Paul Gevers <elbrus@debian.org> to 551853-quiet@bugs.debian.org. (Fri, 15 Mar 2013 21:09:14 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Wed, 06 Nov 2013 19:24:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Gevers <elbrus@debian.org>:
Bug acknowledged by developer. (Wed, 06 Nov 2013 19:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 551853-close@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 551853-close@bugs.debian.org
Subject: lesstif2 is nearly fit for removal
Date: Wed, 06 Nov 2013 20:20:52 +0100
[Message part 1 (text/plain, inline)]
We are nearly done with the transition from lesstif2 to motif. So this
request for help is obsolete.

Closing, thus.

Paul

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:31:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.